curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Campaign Webhooks
Update Campaign Webhook
Partially update a campaign webhook
PUT
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Update Campaign Webhook
Partially update a campaign webhook. All fields are optional — only fields you send are updated. Field semantics match Create Campaign Webhook.Endpoint
PUT /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}
Path parameters
string
required
Campaign UUID.
string
required
Webhook UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonExamples
curl -X PUT "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true
}'
Response
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"events": ["campaign.completed", "campaign_call.failed"],
"include_call_events": true,
"updated_at": "2024-01-15T15:30:00Z"
}
}
Was this page helpful?